[Plug-In] Community Applications


Recommended Posts

1 minute ago, saarg said:

 

That sounds strange. Doesn't take much cpu to run it either, so shouldn't overload the system. 

I was actually expecting the answer to be piHole, as misconfiguration of the network when that's installed will easily mess up unraid ( and CA ).  HA Bridge shouldn't cause any issues though.  I'm sure @dockerPolice will look into installing it.

Link to comment

Hello

After 6.6.2 I'm getting the following when opening CA.

 

Fatal error: Uncaught Error: Call to undefined function dockerRunSecurity() in /usr/local/emhttp/plugins/community.applications/include/helpers.php:151 Stack trace: #0 /usr/local/emhttp/plugins/community.applications/include/exec.php(1347): checkValidDockerRunCommand(Array) #1 /usr/local/emhttp/plugins/community.applications/include/exec.php(117): DownloadApplicationFeed() #2 {main} thrown in /usr/local/emhttp/plugins/community.applications/include/helpers.php on line 151

Link to comment
Hello
After 6.6.2 I'm getting the following when opening CA.
 
Fatal error: Uncaught Error: Call to undefined function dockerRunSecurity() in /usr/local/emhttp/plugins/community.applications/include/helpers.php:151 Stack trace: #0 /usr/local/emhttp/plugins/community.applications/include/exec.php(1347): checkValidDockerRunCommand(Array) #1 /usr/local/emhttp/plugins/community.applications/include/exec.php(117): DownloadApplicationFeed() #2 {main} thrown in /usr/local/emhttp/plugins/community.applications/include/helpers.php on line 151
Update CA

Sent from my LG-D852 using Tapatalk

Link to comment
11 minutes ago, Squid said:

Did you just try to update it or something?

Sent from my LG-D852 using Tapatalk
 

No last update was 6.6.0 rc4 weeks ago I've looked to see is someting else happened but everything else seems to be in order if I click on its icon under the plugins tab I get a blank screen

 

Edit: deleted reinstalled and rebooted all is good TY!

Edited by mrbilky
Solved!
Link to comment

PSA:  If anyone happens ever happens to look at the Statistics section, it will wind up being out to lunch on some items.

 

In an effort to ensure a consistent experience for users and to stop from having to issue an update to CA the next time one of the authors / maintainers makes a mistake in a new and novel way that has adverse effects on CA, most of the fixes / security checks / etc on the applications are being moved over to the application feed itself.  These changes should only manifest itself by throwing the stats out to lunch.

 

Once the process is complete, a new ver of CA will be released that will be

  1. Leaner
  2. Faster
  3. More secure
  4. Lower bandwidth usage
  5. Lower update frequency
  • Like 1
Link to comment
4 minutes ago, poopsie said:

I have searched, and must be missing something.  When I install a docker item, it used to ask me what template I wanted to use in the edit screen.  That is no longer there.  Did it get removed or moved to some other place?  Yes I do have Community Apps installed-

 

Thanks!!

If you were using that drop down, then you were doing things wrong (I had it removed from the template screen if you got there from CA a number of unRaid versions ago)

 

The template, whether it was a new app, or one previously installed / already installed is already filled out accordingly, and always has been.  If you chose something via the drop down, then you overrode what you just told CA to do in the first place.

Edited by Squid
Link to comment
5 minutes ago, Squid said:

If you were using that drop down, then you were doing things wrong (I had it removed from the template screen if you got there from CA a number of unRaid versions ago)

 

The template, whether it was a new app, or one previously installed / already installed is already filled out accordingly, and always has been.  If you chose something via the drop down, then you overrode what you just told CA to do in the first place.

Gotcha, so the next question then is how are those backed up?  Is it on the flash drive?  What I am wondering is if I delete a Docker, how will I know it will have all the information when I reinstall it 3 years from now?

Link to comment
51 minutes ago, poopsie said:

Gotcha, so the next question then is how are those backed up?  Is it on the flash drive?  What I am wondering is if I delete a Docker, how will I know it will have all the information when I reinstall it 3 years from now?

unRaid itself saves all that info automatically if you change anything.  /config/plugins/dockerMan/templates-user on the flash drive.

Link to comment

After upgrading to 6.6.2 and also switching to new hardware, I am getting this error below when I click on apps tab.

Any ideas?

 

RESOLVED AFTER UPDATING THE CA PLUGIN

 

Fatal error: Uncaught Error: Call to undefined function dockerRunSecurity() in /usr/local/emhttp/plugins/community.applications/include/helpers.php:151 Stack trace: #0 /usr/local/emhttp/plugins/community.applications/include/exec.php(1347): checkValidDockerRunCommand(Array) #1 /usr/local/emhttp/plugins/community.applications/include/exec.php(117): DownloadApplicationFeed() #2 {main} thrown in /usr/local/emhttp/plugins/community.applications/include/helpers.php on line 151

Edited by nextgenpotato
Link to comment
4 hours ago, nextgenpotato said:

After upgrading to 6.6.2 and also switching to new hardware, I am getting this error below when I click on apps tab.

Any ideas?

In many cases, CA is intimately tied to the version of the OS and tries to take advantage of every option/function available to ensure that everything runs smoothly and/or is secure.  In this case, a particular function that was available in 6.6.0 and 6.6.1 was removed in 6.6.2 (by my request) due to its adverse affects with certain user's docker templates.  This did necessitate an update to CA for compatibility with 6.6.2 (which was released 2+ weeks prior to the 6.6.2 release being available)

Link to comment

Download of appfeed failed.

Community Applications requires your server to have internet access. The most common cause of this failure is a failure to resolve DNS addresses. You can try and reset your modem and router to fix this issue, or set static DNS addresses (Settings - Network Settings) of 8.8.8.8 and 8.8.4.4 and try again.
 

Link to comment
32 minutes ago, tooviral said:

Tring to install on a new machine and getting xml error

From GitHub's Status:

Quote

Status Messages

October 21, 2018

19:13 Eastern Daylight Time  We are investigating reports of service unavailability.

19:09 Eastern Daylight Time  We are investigating reports of elevated error rates.

 

Net result is that CA is currently down until they resolve this (along with manually installing any other plugin)

 

Humorously enough, the outage happened at the exact same time as two typos:  One which blacklisted the entire app library (which was fixed 30 seconds afterwards, but GitHub is stuck deploying the incorrect version), and a CA update of which GitHub is also serving up an incorrect version of the .plg preventing new installs / updates.

Edited by Squid
Link to comment

New unRAID user v6.6.3 installing plugins. Community Applications install is giving me this error message. 

 

plugin: installing: https://raw.githubusercontent.com/Squidly271/community.applications/master/plugins/community.applications.plg
plugin: downloading https://raw.githubusercontent.com/Squidly271/community.applications/master/plugins/community.applications.plg
plugin: downloading: https://raw.githubusercontent.com/Squidly271/community.applications/master/plugins/community.applications.plg ... done
plugin: file doesn't exist or xml parse error

 

Using: https://raw.githubusercontent.com/Squidly271/community.applications/master/plugins/community.applications.plg

 

What am I doing wrong?? Please Help!!

 

Cheers,

Link to comment
52 minutes ago, Squid said:

From GitHub's Status:

Net result is that CA is currently down until they resolve this (along with manually installing any other plugin)

 

Humorously enough, the outage happened at the exact same time as two typos:  One which blacklisted the entire app library (which was fixed 30 seconds afterwards, but GitHub is stuck deploying the incorrect version), and a CA update of which GitHub is also serving up an incorrect version of the .plg preventing new installs / updates.

 

Link to comment

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.